﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.2407
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace TIES.WebUI {
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;
    
    
    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class ShipmentPendingPOD : DataSet {
        
        private v_ShipmentPendingReportDataTable tablev_ShipmentPendingReport;
        
        public ShipmentPendingPOD() {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        protected ShipmentPendingPOD(SerializationInfo info, StreamingContext context) {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null)) {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["v_ShipmentPendingReport"] != null)) {
                    this.Tables.Add(new v_ShipmentPendingReportDataTable(ds.Tables["v_ShipmentPendingReport"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public v_ShipmentPendingReportDataTable v_ShipmentPendingReport {
            get {
                return this.tablev_ShipmentPendingReport;
            }
        }
        
        public override DataSet Clone() {
            ShipmentPendingPOD cln = ((ShipmentPendingPOD)(base.Clone()));
            cln.InitVars();
            return cln;
        }
        
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        protected override void ReadXmlSerializable(XmlReader reader) {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["v_ShipmentPendingReport"] != null)) {
                this.Tables.Add(new v_ShipmentPendingReportDataTable(ds.Tables["v_ShipmentPendingReport"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }
        
        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }
        
        internal void InitVars() {
            this.tablev_ShipmentPendingReport = ((v_ShipmentPendingReportDataTable)(this.Tables["v_ShipmentPendingReport"]));
            if ((this.tablev_ShipmentPendingReport != null)) {
                this.tablev_ShipmentPendingReport.InitVars();
            }
        }
        
        private void InitClass() {
            this.DataSetName = "ShipmentPendingPOD";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/ShipmentPendingPOD.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tablev_ShipmentPendingReport = new v_ShipmentPendingReportDataTable();
            this.Tables.Add(this.tablev_ShipmentPendingReport);
        }
        
        private bool ShouldSerializev_ShipmentPendingReport() {
            return false;
        }
        
        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        public delegate void v_ShipmentPendingReportRowChangeEventHandler(object sender, v_ShipmentPendingReportRowChangeEvent e);
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class v_ShipmentPendingReportDataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columnapplicationid;
            
            private DataColumn columnenterpriseid;
            
            private DataColumn columnbooking_no;
            
            private DataColumn columnbooking_datetime;
            
            private DataColumn columnconsignment_no;
            
            private DataColumn columnpayer_name;
            
            private DataColumn columnpayerid;
            
            private DataColumn columnsender_name;
            
            private DataColumn columnrecipient_name;
            
            private DataColumn columnRecipientAddress;
            
            private DataColumn columnRecipientZipCode;
            
            private DataColumn columnRecipientCountry;
            
            private DataColumn columnrecipient_telephone;
            
            private DataColumn columnest_delivery_datetime;
            
            private DataColumn columnorigin_state_code;
            
            private DataColumn columndestination_state_code;
            
            private DataColumn columnorigin_station;
            
            private DataColumn columndestination_station;
            
            private DataColumn columnDlv_Route;
            
            private DataColumn columnPickUP_Route;
            
            private DataColumn columnenterprise_name;
            
            private DataColumn columnEnterprise_Address;
            
            private DataColumn columnremark;
            
            private DataColumn columnlast_status_code;
            
            private DataColumn columnstatus_close;
            
            private DataColumn columndeparture_datetime;
            
            private DataColumn columntracking_datetime;
            
            private DataColumn columnpayer_type;
            
            private DataColumn columncod_amount;
            
            private DataColumn columnref_no;
            
            private DataColumn columnstate_name;
            
            private DataColumn columnlast_status_code_dly;
            
            internal v_ShipmentPendingReportDataTable() : 
                    base("v_ShipmentPendingReport") {
                this.InitClass();
            }
            
            internal v_ShipmentPendingReportDataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn applicationidColumn {
                get {
                    return this.columnapplicationid;
                }
            }
            
            internal DataColumn enterpriseidColumn {
                get {
                    return this.columnenterpriseid;
                }
            }
            
            internal DataColumn booking_noColumn {
                get {
                    return this.columnbooking_no;
                }
            }
            
            internal DataColumn booking_datetimeColumn {
                get {
                    return this.columnbooking_datetime;
                }
            }
            
            internal DataColumn consignment_noColumn {
                get {
                    return this.columnconsignment_no;
                }
            }
            
            internal DataColumn payer_nameColumn {
                get {
                    return this.columnpayer_name;
                }
            }
            
            internal DataColumn payeridColumn {
                get {
                    return this.columnpayerid;
                }
            }
            
            internal DataColumn sender_nameColumn {
                get {
                    return this.columnsender_name;
                }
            }
            
            internal DataColumn recipient_nameColumn {
                get {
                    return this.columnrecipient_name;
                }
            }
            
            internal DataColumn RecipientAddressColumn {
                get {
                    return this.columnRecipientAddress;
                }
            }
            
            internal DataColumn RecipientZipCodeColumn {
                get {
                    return this.columnRecipientZipCode;
                }
            }
            
            internal DataColumn RecipientCountryColumn {
                get {
                    return this.columnRecipientCountry;
                }
            }
            
            internal DataColumn recipient_telephoneColumn {
                get {
                    return this.columnrecipient_telephone;
                }
            }
            
            internal DataColumn est_delivery_datetimeColumn {
                get {
                    return this.columnest_delivery_datetime;
                }
            }
            
            internal DataColumn origin_state_codeColumn {
                get {
                    return this.columnorigin_state_code;
                }
            }
            
            internal DataColumn destination_state_codeColumn {
                get {
                    return this.columndestination_state_code;
                }
            }
            
            internal DataColumn origin_stationColumn {
                get {
                    return this.columnorigin_station;
                }
            }
            
            internal DataColumn destination_stationColumn {
                get {
                    return this.columndestination_station;
                }
            }
            
            internal DataColumn Dlv_RouteColumn {
                get {
                    return this.columnDlv_Route;
                }
            }
            
            internal DataColumn PickUP_RouteColumn {
                get {
                    return this.columnPickUP_Route;
                }
            }
            
            internal DataColumn enterprise_nameColumn {
                get {
                    return this.columnenterprise_name;
                }
            }
            
            internal DataColumn Enterprise_AddressColumn {
                get {
                    return this.columnEnterprise_Address;
                }
            }
            
            internal DataColumn remarkColumn {
                get {
                    return this.columnremark;
                }
            }
            
            internal DataColumn last_status_codeColumn {
                get {
                    return this.columnlast_status_code;
                }
            }
            
            internal DataColumn status_closeColumn {
                get {
                    return this.columnstatus_close;
                }
            }
            
            internal DataColumn departure_datetimeColumn {
                get {
                    return this.columndeparture_datetime;
                }
            }
            
            internal DataColumn tracking_datetimeColumn {
                get {
                    return this.columntracking_datetime;
                }
            }
            
            internal DataColumn payer_typeColumn {
                get {
                    return this.columnpayer_type;
                }
            }
            
            internal DataColumn cod_amountColumn {
                get {
                    return this.columncod_amount;
                }
            }
            
            internal DataColumn ref_noColumn {
                get {
                    return this.columnref_no;
                }
            }
            
            internal DataColumn state_nameColumn {
                get {
                    return this.columnstate_name;
                }
            }
            
            internal DataColumn last_status_code_dlyColumn {
                get {
                    return this.columnlast_status_code_dly;
                }
            }
            
            public v_ShipmentPendingReportRow this[int index] {
                get {
                    return ((v_ShipmentPendingReportRow)(this.Rows[index]));
                }
            }
            
            public event v_ShipmentPendingReportRowChangeEventHandler v_ShipmentPendingReportRowChanged;
            
            public event v_ShipmentPendingReportRowChangeEventHandler v_ShipmentPendingReportRowChanging;
            
            public event v_ShipmentPendingReportRowChangeEventHandler v_ShipmentPendingReportRowDeleted;
            
            public event v_ShipmentPendingReportRowChangeEventHandler v_ShipmentPendingReportRowDeleting;
            
            public void Addv_ShipmentPendingReportRow(v_ShipmentPendingReportRow row) {
                this.Rows.Add(row);
            }
            
            public v_ShipmentPendingReportRow Addv_ShipmentPendingReportRow(
                        string applicationid, 
                        string enterpriseid, 
                        int booking_no, 
                        System.DateTime booking_datetime, 
                        string consignment_no, 
                        string payer_name, 
                        string payerid, 
                        string sender_name, 
                        string recipient_name, 
                        string RecipientAddress, 
                        string RecipientZipCode, 
                        string RecipientCountry, 
                        string recipient_telephone, 
                        System.DateTime est_delivery_datetime, 
                        string origin_state_code, 
                        string destination_state_code, 
                        string origin_station, 
                        string destination_station, 
                        string Dlv_Route, 
                        string PickUP_Route, 
                        string enterprise_name, 
                        string Enterprise_Address, 
                        string remark, 
                        string last_status_code, 
                        string status_close, 
                        System.DateTime departure_datetime, 
                        System.DateTime tracking_datetime, 
                        string payer_type, 
                        System.Decimal cod_amount, 
                        string ref_no, 
                        string state_name, 
                        string last_status_code_dly) {
                v_ShipmentPendingReportRow rowv_ShipmentPendingReportRow = ((v_ShipmentPendingReportRow)(this.NewRow()));
                rowv_ShipmentPendingReportRow.ItemArray = new object[] {
                        applicationid,
                        enterpriseid,
                        booking_no,
                        booking_datetime,
                        consignment_no,
                        payer_name,
                        payerid,
                        sender_name,
                        recipient_name,
                        RecipientAddress,
                        RecipientZipCode,
                        RecipientCountry,
                        recipient_telephone,
                        est_delivery_datetime,
                        origin_state_code,
                        destination_state_code,
                        origin_station,
                        destination_station,
                        Dlv_Route,
                        PickUP_Route,
                        enterprise_name,
                        Enterprise_Address,
                        remark,
                        last_status_code,
                        status_close,
                        departure_datetime,
                        tracking_datetime,
                        payer_type,
                        cod_amount,
                        ref_no,
                        state_name,
                        last_status_code_dly};
                this.Rows.Add(rowv_ShipmentPendingReportRow);
                return rowv_ShipmentPendingReportRow;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                v_ShipmentPendingReportDataTable cln = ((v_ShipmentPendingReportDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new v_ShipmentPendingReportDataTable();
            }
            
            internal void InitVars() {
                this.columnapplicationid = this.Columns["applicationid"];
                this.columnenterpriseid = this.Columns["enterpriseid"];
                this.columnbooking_no = this.Columns["booking_no"];
                this.columnbooking_datetime = this.Columns["booking_datetime"];
                this.columnconsignment_no = this.Columns["consignment_no"];
                this.columnpayer_name = this.Columns["payer_name"];
                this.columnpayerid = this.Columns["payerid"];
                this.columnsender_name = this.Columns["sender_name"];
                this.columnrecipient_name = this.Columns["recipient_name"];
                this.columnRecipientAddress = this.Columns["RecipientAddress"];
                this.columnRecipientZipCode = this.Columns["RecipientZipCode"];
                this.columnRecipientCountry = this.Columns["RecipientCountry"];
                this.columnrecipient_telephone = this.Columns["recipient_telephone"];
                this.columnest_delivery_datetime = this.Columns["est_delivery_datetime"];
                this.columnorigin_state_code = this.Columns["origin_state_code"];
                this.columndestination_state_code = this.Columns["destination_state_code"];
                this.columnorigin_station = this.Columns["origin_station"];
                this.columndestination_station = this.Columns["destination_station"];
                this.columnDlv_Route = this.Columns["Dlv_Route"];
                this.columnPickUP_Route = this.Columns["PickUP_Route"];
                this.columnenterprise_name = this.Columns["enterprise_name"];
                this.columnEnterprise_Address = this.Columns["Enterprise_Address"];
                this.columnremark = this.Columns["remark"];
                this.columnlast_status_code = this.Columns["last_status_code"];
                this.columnstatus_close = this.Columns["status_close"];
                this.columndeparture_datetime = this.Columns["departure_datetime"];
                this.columntracking_datetime = this.Columns["tracking_datetime"];
                this.columnpayer_type = this.Columns["payer_type"];
                this.columncod_amount = this.Columns["cod_amount"];
                this.columnref_no = this.Columns["ref_no"];
                this.columnstate_name = this.Columns["state_name"];
                this.columnlast_status_code_dly = this.Columns["last_status_code_dly"];
            }
            
            private void InitClass() {
                this.columnapplicationid = new DataColumn("applicationid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnapplicationid);
                this.columnenterpriseid = new DataColumn("enterpriseid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnenterpriseid);
                this.columnbooking_no = new DataColumn("booking_no", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnbooking_no);
                this.columnbooking_datetime = new DataColumn("booking_datetime", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnbooking_datetime);
                this.columnconsignment_no = new DataColumn("consignment_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnconsignment_no);
                this.columnpayer_name = new DataColumn("payer_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpayer_name);
                this.columnpayerid = new DataColumn("payerid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpayerid);
                this.columnsender_name = new DataColumn("sender_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_name);
                this.columnrecipient_name = new DataColumn("recipient_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_name);
                this.columnRecipientAddress = new DataColumn("RecipientAddress", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnRecipientAddress);
                this.columnRecipientZipCode = new DataColumn("RecipientZipCode", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnRecipientZipCode);
                this.columnRecipientCountry = new DataColumn("RecipientCountry", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnRecipientCountry);
                this.columnrecipient_telephone = new DataColumn("recipient_telephone", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_telephone);
                this.columnest_delivery_datetime = new DataColumn("est_delivery_datetime", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnest_delivery_datetime);
                this.columnorigin_state_code = new DataColumn("origin_state_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnorigin_state_code);
                this.columndestination_state_code = new DataColumn("destination_state_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndestination_state_code);
                this.columnorigin_station = new DataColumn("origin_station", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnorigin_station);
                this.columndestination_station = new DataColumn("destination_station", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndestination_station);
                this.columnDlv_Route = new DataColumn("Dlv_Route", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnDlv_Route);
                this.columnPickUP_Route = new DataColumn("PickUP_Route", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPickUP_Route);
                this.columnenterprise_name = new DataColumn("enterprise_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnenterprise_name);
                this.columnEnterprise_Address = new DataColumn("Enterprise_Address", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnEnterprise_Address);
                this.columnremark = new DataColumn("remark", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnremark);
                this.columnlast_status_code = new DataColumn("last_status_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnlast_status_code);
                this.columnstatus_close = new DataColumn("status_close", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnstatus_close);
                this.columndeparture_datetime = new DataColumn("departure_datetime", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndeparture_datetime);
                this.columntracking_datetime = new DataColumn("tracking_datetime", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columntracking_datetime);
                this.columnpayer_type = new DataColumn("payer_type", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpayer_type);
                this.columncod_amount = new DataColumn("cod_amount", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columncod_amount);
                this.columnref_no = new DataColumn("ref_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnref_no);
                this.columnstate_name = new DataColumn("state_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnstate_name);
                this.columnlast_status_code_dly = new DataColumn("last_status_code_dly", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnlast_status_code_dly);
            }
            
            public v_ShipmentPendingReportRow Newv_ShipmentPendingReportRow() {
                return ((v_ShipmentPendingReportRow)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new v_ShipmentPendingReportRow(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(v_ShipmentPendingReportRow);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.v_ShipmentPendingReportRowChanged != null)) {
                    this.v_ShipmentPendingReportRowChanged(this, new v_ShipmentPendingReportRowChangeEvent(((v_ShipmentPendingReportRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.v_ShipmentPendingReportRowChanging != null)) {
                    this.v_ShipmentPendingReportRowChanging(this, new v_ShipmentPendingReportRowChangeEvent(((v_ShipmentPendingReportRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.v_ShipmentPendingReportRowDeleted != null)) {
                    this.v_ShipmentPendingReportRowDeleted(this, new v_ShipmentPendingReportRowChangeEvent(((v_ShipmentPendingReportRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.v_ShipmentPendingReportRowDeleting != null)) {
                    this.v_ShipmentPendingReportRowDeleting(this, new v_ShipmentPendingReportRowChangeEvent(((v_ShipmentPendingReportRow)(e.Row)), e.Action));
                }
            }
            
            public void Removev_ShipmentPendingReportRow(v_ShipmentPendingReportRow row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class v_ShipmentPendingReportRow : DataRow {
            
            private v_ShipmentPendingReportDataTable tablev_ShipmentPendingReport;
            
            internal v_ShipmentPendingReportRow(DataRowBuilder rb) : 
                    base(rb) {
                this.tablev_ShipmentPendingReport = ((v_ShipmentPendingReportDataTable)(this.Table));
            }
            
            public string applicationid {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.applicationidColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.applicationidColumn] = value;
                }
            }
            
            public string enterpriseid {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.enterpriseidColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.enterpriseidColumn] = value;
                }
            }
            
            public int booking_no {
                get {
                    try {
                        return ((int)(this[this.tablev_ShipmentPendingReport.booking_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.booking_noColumn] = value;
                }
            }
            
            public System.DateTime booking_datetime {
                get {
                    try {
                        return ((System.DateTime)(this[this.tablev_ShipmentPendingReport.booking_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.booking_datetimeColumn] = value;
                }
            }
            
            public string consignment_no {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.consignment_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.consignment_noColumn] = value;
                }
            }
            
            public string payer_name {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.payer_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.payer_nameColumn] = value;
                }
            }
            
            public string payerid {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.payeridColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.payeridColumn] = value;
                }
            }
            
            public string sender_name {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.sender_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.sender_nameColumn] = value;
                }
            }
            
            public string recipient_name {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.recipient_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.recipient_nameColumn] = value;
                }
            }
            
            public string RecipientAddress {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.RecipientAddressColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.RecipientAddressColumn] = value;
                }
            }
            
            public string RecipientZipCode {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.RecipientZipCodeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.RecipientZipCodeColumn] = value;
                }
            }
            
            public string RecipientCountry {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.RecipientCountryColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.RecipientCountryColumn] = value;
                }
            }
            
            public string recipient_telephone {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.recipient_telephoneColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.recipient_telephoneColumn] = value;
                }
            }
            
            public System.DateTime est_delivery_datetime {
                get {
                    try {
                        return ((System.DateTime)(this[this.tablev_ShipmentPendingReport.est_delivery_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.est_delivery_datetimeColumn] = value;
                }
            }
            
            public string origin_state_code {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.origin_state_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.origin_state_codeColumn] = value;
                }
            }
            
            public string destination_state_code {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.destination_state_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.destination_state_codeColumn] = value;
                }
            }
            
            public string origin_station {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.origin_stationColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.origin_stationColumn] = value;
                }
            }
            
            public string destination_station {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.destination_stationColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.destination_stationColumn] = value;
                }
            }
            
            public string Dlv_Route {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.Dlv_RouteColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.Dlv_RouteColumn] = value;
                }
            }
            
            public string PickUP_Route {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.PickUP_RouteColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.PickUP_RouteColumn] = value;
                }
            }
            
            public string enterprise_name {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.enterprise_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.enterprise_nameColumn] = value;
                }
            }
            
            public string Enterprise_Address {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.Enterprise_AddressColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.Enterprise_AddressColumn] = value;
                }
            }
            
            public string remark {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.remarkColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.remarkColumn] = value;
                }
            }
            
            public string last_status_code {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.last_status_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.last_status_codeColumn] = value;
                }
            }
            
            public string status_close {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.status_closeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.status_closeColumn] = value;
                }
            }
            
            public System.DateTime departure_datetime {
                get {
                    try {
                        return ((System.DateTime)(this[this.tablev_ShipmentPendingReport.departure_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.departure_datetimeColumn] = value;
                }
            }
            
            public System.DateTime tracking_datetime {
                get {
                    try {
                        return ((System.DateTime)(this[this.tablev_ShipmentPendingReport.tracking_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.tracking_datetimeColumn] = value;
                }
            }
            
            public string payer_type {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.payer_typeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.payer_typeColumn] = value;
                }
            }
            
            public System.Decimal cod_amount {
                get {
                    try {
                        return ((System.Decimal)(this[this.tablev_ShipmentPendingReport.cod_amountColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.cod_amountColumn] = value;
                }
            }
            
            public string ref_no {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.ref_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.ref_noColumn] = value;
                }
            }
            
            public string state_name {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.state_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.state_nameColumn] = value;
                }
            }
            
            public string last_status_code_dly {
                get {
                    try {
                        return ((string)(this[this.tablev_ShipmentPendingReport.last_status_code_dlyColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tablev_ShipmentPendingReport.last_status_code_dlyColumn] = value;
                }
            }
            
            public bool IsapplicationidNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.applicationidColumn);
            }
            
            public void SetapplicationidNull() {
                this[this.tablev_ShipmentPendingReport.applicationidColumn] = System.Convert.DBNull;
            }
            
            public bool IsenterpriseidNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.enterpriseidColumn);
            }
            
            public void SetenterpriseidNull() {
                this[this.tablev_ShipmentPendingReport.enterpriseidColumn] = System.Convert.DBNull;
            }
            
            public bool Isbooking_noNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.booking_noColumn);
            }
            
            public void Setbooking_noNull() {
                this[this.tablev_ShipmentPendingReport.booking_noColumn] = System.Convert.DBNull;
            }
            
            public bool Isbooking_datetimeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.booking_datetimeColumn);
            }
            
            public void Setbooking_datetimeNull() {
                this[this.tablev_ShipmentPendingReport.booking_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool Isconsignment_noNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.consignment_noColumn);
            }
            
            public void Setconsignment_noNull() {
                this[this.tablev_ShipmentPendingReport.consignment_noColumn] = System.Convert.DBNull;
            }
            
            public bool Ispayer_nameNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.payer_nameColumn);
            }
            
            public void Setpayer_nameNull() {
                this[this.tablev_ShipmentPendingReport.payer_nameColumn] = System.Convert.DBNull;
            }
            
            public bool IspayeridNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.payeridColumn);
            }
            
            public void SetpayeridNull() {
                this[this.tablev_ShipmentPendingReport.payeridColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_nameNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.sender_nameColumn);
            }
            
            public void Setsender_nameNull() {
                this[this.tablev_ShipmentPendingReport.sender_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_nameNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.recipient_nameColumn);
            }
            
            public void Setrecipient_nameNull() {
                this[this.tablev_ShipmentPendingReport.recipient_nameColumn] = System.Convert.DBNull;
            }
            
            public bool IsRecipientAddressNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.RecipientAddressColumn);
            }
            
            public void SetRecipientAddressNull() {
                this[this.tablev_ShipmentPendingReport.RecipientAddressColumn] = System.Convert.DBNull;
            }
            
            public bool IsRecipientZipCodeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.RecipientZipCodeColumn);
            }
            
            public void SetRecipientZipCodeNull() {
                this[this.tablev_ShipmentPendingReport.RecipientZipCodeColumn] = System.Convert.DBNull;
            }
            
            public bool IsRecipientCountryNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.RecipientCountryColumn);
            }
            
            public void SetRecipientCountryNull() {
                this[this.tablev_ShipmentPendingReport.RecipientCountryColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_telephoneNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.recipient_telephoneColumn);
            }
            
            public void Setrecipient_telephoneNull() {
                this[this.tablev_ShipmentPendingReport.recipient_telephoneColumn] = System.Convert.DBNull;
            }
            
            public bool Isest_delivery_datetimeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.est_delivery_datetimeColumn);
            }
            
            public void Setest_delivery_datetimeNull() {
                this[this.tablev_ShipmentPendingReport.est_delivery_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool Isorigin_state_codeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.origin_state_codeColumn);
            }
            
            public void Setorigin_state_codeNull() {
                this[this.tablev_ShipmentPendingReport.origin_state_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isdestination_state_codeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.destination_state_codeColumn);
            }
            
            public void Setdestination_state_codeNull() {
                this[this.tablev_ShipmentPendingReport.destination_state_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isorigin_stationNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.origin_stationColumn);
            }
            
            public void Setorigin_stationNull() {
                this[this.tablev_ShipmentPendingReport.origin_stationColumn] = System.Convert.DBNull;
            }
            
            public bool Isdestination_stationNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.destination_stationColumn);
            }
            
            public void Setdestination_stationNull() {
                this[this.tablev_ShipmentPendingReport.destination_stationColumn] = System.Convert.DBNull;
            }
            
            public bool IsDlv_RouteNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.Dlv_RouteColumn);
            }
            
            public void SetDlv_RouteNull() {
                this[this.tablev_ShipmentPendingReport.Dlv_RouteColumn] = System.Convert.DBNull;
            }
            
            public bool IsPickUP_RouteNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.PickUP_RouteColumn);
            }
            
            public void SetPickUP_RouteNull() {
                this[this.tablev_ShipmentPendingReport.PickUP_RouteColumn] = System.Convert.DBNull;
            }
            
            public bool Isenterprise_nameNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.enterprise_nameColumn);
            }
            
            public void Setenterprise_nameNull() {
                this[this.tablev_ShipmentPendingReport.enterprise_nameColumn] = System.Convert.DBNull;
            }
            
            public bool IsEnterprise_AddressNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.Enterprise_AddressColumn);
            }
            
            public void SetEnterprise_AddressNull() {
                this[this.tablev_ShipmentPendingReport.Enterprise_AddressColumn] = System.Convert.DBNull;
            }
            
            public bool IsremarkNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.remarkColumn);
            }
            
            public void SetremarkNull() {
                this[this.tablev_ShipmentPendingReport.remarkColumn] = System.Convert.DBNull;
            }
            
            public bool Islast_status_codeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.last_status_codeColumn);
            }
            
            public void Setlast_status_codeNull() {
                this[this.tablev_ShipmentPendingReport.last_status_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isstatus_closeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.status_closeColumn);
            }
            
            public void Setstatus_closeNull() {
                this[this.tablev_ShipmentPendingReport.status_closeColumn] = System.Convert.DBNull;
            }
            
            public bool Isdeparture_datetimeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.departure_datetimeColumn);
            }
            
            public void Setdeparture_datetimeNull() {
                this[this.tablev_ShipmentPendingReport.departure_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool Istracking_datetimeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.tracking_datetimeColumn);
            }
            
            public void Settracking_datetimeNull() {
                this[this.tablev_ShipmentPendingReport.tracking_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool Ispayer_typeNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.payer_typeColumn);
            }
            
            public void Setpayer_typeNull() {
                this[this.tablev_ShipmentPendingReport.payer_typeColumn] = System.Convert.DBNull;
            }
            
            public bool Iscod_amountNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.cod_amountColumn);
            }
            
            public void Setcod_amountNull() {
                this[this.tablev_ShipmentPendingReport.cod_amountColumn] = System.Convert.DBNull;
            }
            
            public bool Isref_noNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.ref_noColumn);
            }
            
            public void Setref_noNull() {
                this[this.tablev_ShipmentPendingReport.ref_noColumn] = System.Convert.DBNull;
            }
            
            public bool Isstate_nameNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.state_nameColumn);
            }
            
            public void Setstate_nameNull() {
                this[this.tablev_ShipmentPendingReport.state_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Islast_status_code_dlyNull() {
                return this.IsNull(this.tablev_ShipmentPendingReport.last_status_code_dlyColumn);
            }
            
            public void Setlast_status_code_dlyNull() {
                this[this.tablev_ShipmentPendingReport.last_status_code_dlyColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class v_ShipmentPendingReportRowChangeEvent : EventArgs {
            
            private v_ShipmentPendingReportRow eventRow;
            
            private DataRowAction eventAction;
            
            public v_ShipmentPendingReportRowChangeEvent(v_ShipmentPendingReportRow row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public v_ShipmentPendingReportRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}
